<?php

require('fpdf/fpdf.php');

class PDF extends FPDF

{
	// Cabecera de página
	function Header()
	{
	    $this->Image('imagenes/escudo.jpg',20,10,20,25);
	    $this->SetFont('Arial','B',10);
	    $this->Ln(10);
	    $this->Cell(80);
	    include("../php/conexion-infogeneral.php");
	    $idi=$_GET['idi'];
	    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
		if(mysql_num_rows($DatosInstitucion)>0) {
			$registro=mysql_fetch_array($DatosInstitucion);
			$institucion=utf8_decode($registro["nombreie"]);
			$departamento=utf8_decode($registro["departamentoie"]);
			$municipio=utf8_decode($registro["municipioie"]);
			$dane=$registro["daneie"];
			$nit=$registro["nitie"];
			$resolucion=utf8_decode($registro["resolucionie"]);
			$rector=utf8_decode($registro["rectorie"]);
		}
	    $this->Cell(40,0,$institucion,0,0,'C');
	    $this->Ln(5);
	    $this->SetFont('Arial','B',9);
	    $this->Cell(80);
	    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
	    $this->Ln(5);
	    $this->SetFont('Arial','B',8);
	    $this->Cell(80);
	    $this->Cell(40,0,"RESOLUCION DE APROBACION: ".$resolucion,0,1,'C');
	    $this->Ln(5);
	    $this->Cell(80);
	    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit,0,0,'C');
	    $this->Ln(20);
	}

	// Pie de página
	function Footer()
	{
	    include("../php/conexion-infogeneral.php");
	    $idi=$_GET['idi'];
	    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
		if(mysql_num_rows($DatosInstitucion)>0) {
			$registro=mysql_fetch_array($DatosInstitucion);
			$nemo=utf8_decode($registro["nemoie"]);
			$direccion=utf8_decode($registro["direccionie"]);
			$telefono=$registro["telefonoie"];
			$tiporeporte=$registro["tiporeporte"];
		}
	    // Posición: a 1,5 cm del final
	    $this->SetY(-15);
	    // Helvetica italic 8
	    $this->SetFont('Helvetica','I',8);
	    // Número de página
	    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
	    $this->Cell(0,10,'www.sised.com.co  -  cons01',0,0,'R');
	}
}

// Creación del objeto de la clase heredada

$pdf = new PDF('P','mm','letter');
$danesede= $_GET['danesede'];
$nomsede= utf8_decode($_GET['nomsede']);
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$idi=$_GET['idi'];
$nuid=$_POST['estudiante'];
$dirigida=utf8_decode($_POST['aquien']);
$grado=""; $curso=""; $estudiante="";
include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select nombreie,municipioie From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$institucion=utf8_decode($registro["nombreie"]);
	$municipio=utf8_decode($registro["municipioie"]);
}
include("../php/conexion-bdie.php");
$regmatriculados=mysql_query("Select idgrado,idgrupo From datos_matriculas Where nuid='$nuid'",$db_basededatosie);
if(mysql_num_rows($regmatriculados)>0){
	$FilaMatriculado=mysql_fetch_array($regmatriculados);
	$grado=$FilaMatriculado["idgrado"];
	$curso=substr($FilaMatriculado["idgrupo"],17,1);	
	$regestudiantes=mysql_query("Select nombres,apellidos,tipodocumento,documento From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiante=utf8_decode($FilaEstudiante["apellidos"])." ".utf8_decode($FilaEstudiante["nombres"]);
		$tipodocumento=$FilaEstudiante["tipodocumento"];
		$documento=$FilaEstudiante["documento"];
	}
	$reggrados=mysql_query("Select grado From datos_grados Where idgrado='$grado'",$db_basededatosie);
	if(mysql_num_rows($reggrados)>0){
		$FilaGrado=mysql_fetch_array($reggrados);
		$descripciongrado=utf8_decode($FilaGrado["grado"]);
	}
	$pdf->AddPage();
	$pdf->SetMargins(20, 1, 10);
	// Salto de línea
	$pdf->Ln(15);
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(185,5,'LOS SUSCRITOS RECTOR Y SECRETARIA DE LA',0,1,'C');
	$pdf->Cell(185,5,$institucion,0,1,'C');
	$pdf->Ln(20);
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(185,5,'H A C E N   C O N S T A R   Q U E:',0,1,'C');
	$pdf->Ln(20);
	$pdf->SetFont('Arial','',12);
	$constancia="";
	if (substr($grado,15,2)<6){
		$constancia='El Estudiante '.$estudiante.' identificado(a) con '.$tipodocumento.' No. '.$documento.' y matricula No. '.substr($nuid,12,5).' se encuentra matriculado(a) en ésta Institución Educativa';
		$constancia=$constancia.' para el Año Lectivo '.substr($lectivo,1,4).', cursando el Grado '.$descripciongrado.', de Educación Básica Primaria';
		$constancia=$constancia.' y a la fecha asiste normalmente a clases, en la '.$nomsede.'.';
	}
	if (substr($grado,15,2)>5 and substr($grado,15,2)<10){
		$constancia='El Estudiante '.$estudiante.' identificado(a) con '.$tipodocumento.' No. '.$documento.' y matricula No. '.substr($nuid,12,5).' se encuentra matriculado(a) en ésta Institución Educativa';
		$constancia=$constancia.' para el Año Lectivo '.substr($lectivo,1,4).', cursando el Grado '.$descripciongrado.', de Educación Básica Secundaria';
		$constancia=$constancia.' y a la fecha asiste normalmente a clases, en la '.$nomsede.'.';
	}
	if (substr($grado,15,2)>9 and substr($grado,15,2)<12){
		$constancia='El Estudiante '.$estudiante.' identificado(a) con '.$tipodocumento.' No. '.$documento.' y matricula No. '.substr($nuid,12,5).' se encuentra matriculado(a) en ésta Institución Educativa';
		$constancia=$constancia.' para el Año Lectivo '.substr($lectivo,1,4).', cursando el Grado '.$descripciongrado.', de Educación Media Vocacional';
		$constancia=$constancia.' y a la fecha asiste normalmente a clases, en la '.$nomsede.'.';
	}
	if (substr($grado,15,2)>11 and substr($grado,15,2)<21){
		$constancia='El Estudiante '.$estudiante.' identificado(a) con '.$tipodocumento.' No. '.$documento.' y matricula No. '.substr($nuid,12,5).' se encuentra matriculado(a) en ésta Institución Educativa';
		$constancia=$constancia.' para el Año Lectivo '.substr($lectivo,1,4).', cursando el Grado '.$descripciongrado.', de Educación Complementaria';
		$constancia=$constancia.' y a la fecha asiste normalmente a clases, en la '.$nomsede.'.';
	}
	if (substr($grado,15,2)>20){
		$constancia='El Estudiante '.$estudiante.' identificado(a) con '.$tipodocumento.' No. '.$documento.' y matricula No. '.substr($nuid,12,5).' se encuentra matriculado(a) en ésta Institución Educativa';
		$constancia=$constancia.' para el Año Lectivo '.substr($lectivo,1,4).', cursando el Grado '.$descripciongrado.', de Educación por Ciclos';
		$constancia=$constancia.' y a la fecha asiste normalmente a clases, en la '.$nomsede.'.';
	}
	$pdf->MultiCell(180,5,$constancia,0);
	
	$pdf->Ln(10);
	if ($dirigida=="Sin Destino")
		$pdf->MultiCell(180,5,'La presente constancia se expide a solicitud del interesado(a).',0);
	else
		$pdf->MultiCell(180,5,'La presente constancia se expide a solicitud del interesado(a) con destino a '.$dirigida.'.',0);

	$dia= date("d");
	$mes= date("m");
	$meses=array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
	$mesenletras=$meses[$mes-1];
	$ano= date("Y");
	$pdf->Ln(10);
	$pdf->MultiCell(180,5,'Dado en '.$municipio.', a los '.$dia.' días del mes de '.$mesenletras.' de '.$ano.'.',0);
	
	$pdf->SetFont('Arial','',9);
	$pdf->Ln(40);
	// $pdf->Image('imagenes/firmarector.jpg',35,195,30);
	$pdf->Image('imagenes/firmasecret.jpg',120,195,40);
	$pdf->Cell(65,1,'______________________________________',0,0,'L');
	$pdf->Cell(25);
	$pdf->Cell(65,1,'______________________________________',0,1,'L');
    $idi=$_GET['idi'];
    include("../php/conexion-infogeneral.php");
    $DatosInstitucion = mysql_query("Select rectorie,secretariaie From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$rector=utf8_decode($registro["rectorie"]);
		$secretaria=utf8_decode($registro["secretariaie"]);
	}
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(65,7,$rector,0,0,'L');
	$pdf->Cell(25);
	$pdf->Cell(65,7,$secretaria,0,1,'L');
	$pdf->Cell(65,3,'Rector',0,0,'L');
	$pdf->Cell(25);
	$pdf->Cell(65,3,'Secretaria',0,1,'L');
}
else {
	$pdf->Cell(25);
	$pdf->Cell(75,3,'No existen Datos de Matricula del Estudiante: '.$nuid,1,1,'L');
}

$pdf->Output();
?>